if(app.documents.length>0)
{
	var doc = app.activeDocument;
	dlg(doc);
}

function dlg(doc)
{
	var dlg = app.dialogs.add({name:" PDF  - Loic Aigon - 2009", canCancel:true}); //  PDF 
	with(dlg)
	{
		with(dialogColumns.add())
		{
			with(dialogRows.add())
			{
				staticTexts.add({staticLabel:"  :"}); //   :
			}
			with(borderPanels.add())
			{
				with(dialogColumns.add())
				{
					with(dialogRows.add())
					{
						staticTexts.add({staticLabel:"   :"}); //   :
						var myrange = realEditboxes.add({editContents:"1", minWidth:35});
						staticTexts.add({staticLabel:" pages"});
						staticTexts.add({staticLabel:"",minWidth:84});
					}
				}
			}
			with(borderPanels.add())
			{
				with(dialogColumns.add())
				{
					with(dialogRows.add())
					{
						staticTexts.add({staticLabel:"  :"}); //   :
					}
					with(dialogRows.add())
					{
						staticTexts.add({staticLabel:" :"}); // :
						var start = realEditboxes.add({editContents:"1", minWidth:35});
						staticTexts.add({staticLabel:"   "}); // 
						var end = realEditboxes.add({editContents:String(doc.pages.length), minWidth:35});
						staticTexts.add({staticLabel:"",minWidth:37});
					}
				}
			}
			with(borderPanels.add())
			{
				with(dialogColumns.add())
				{
					with(dialogRows.add())
					{
						staticTexts.add({staticLabel:" PDF Preset:"}); //      PDF:
					}
					var myPresetChoice = dropdowns.add({stringList:app.pdfExportPresets.everyItem().name, selectedIndex:0, minWidth:300});
				}
			}
			with(borderPanels.add())
			{
				with(dialogColumns.add())
				{
					with(dialogRows.add())
					{
						staticTexts.add({staticLabel:",    :"}); //   :
					}
					var rbg = radiobuttonGroups.add();
					var rb1 = rbg.radiobuttonControls.add({staticLabel:"      indd", checkedState:true,minWidth:300}); //  
					var rb2 = rbg.radiobuttonControls.add({staticLabel:"  "}); //  
				}
			}
		}
	}
	if(dlg.show())
	{
		var mypreset = app.pdfExportPresets.item(app.pdfExportPresets.everyItem().name[myPresetChoice.selectedIndex]);
		var destFolder;
		if(rb1.checkedState==true)
		{
			if(doc.saved==true)
			{
				destFolder = File( doc.fullName).parent;
			}
			else
			{
				destFolder = Folder.desktop;
			}
		}
		else
		{
			destFolder=Folder.selectDialog("   "); //   
		}
		exportPDF(doc,mypreset, myrange.editValue, destFolder, start.editValue, end.editValue);
		dlg.destroy();
	}
}



function exportPDF(doc,mypreset, myrange, destFolder, start, end)
{
	try
	{
		pdfCount=0;
		end=Math.ceil(Math.abs(end));
		start=Math.ceil(Math.abs(start));
		if(myrange>end-start+1)
		{
			var fromPage = Math.abs(start);
			var toPage = end;
			app.pdfExportPreferences.pageRange = fromPage+"-"+toPage;
			var myPDFFile = File(decodeURI(destFolder)+"/"+doc.name.split(".indd")[0]+"_p"+fromPage+"_a_p"+toPage+".pdf");
			doc.exportFile(ExportFormat.pdfType,myPDFFile, false, mypreset);
			pdfCount+=1;
		}
		else
		{
			for(i=start-1; i<end; i=i+Number(myrange))
			{
				var fromPage = String(Number(i)+1);
				if(String((Number(i)+Number(myrange)))>end)
				{
					var toPage = end;
				}
				else
				{
					var toPage = String((Number(i)+Number(myrange)));
				}
				if(fromPage==toPage)
				{
					var pr = "_p"+fromPage;
					app.pdfExportPreferences.pageRange = fromPage;
				}
				else
				{
					var pr = "_p"+fromPage+"_a_p"+toPage;
					app.pdfExportPreferences.pageRange = fromPage+"-"+toPage;
				}
				var myPDFFile = File(decodeURI(destFolder)+"/"+doc.name.split(".indd")[0]+pr+".pdf");
				doc.exportFile(ExportFormat.pdfType,myPDFFile, false, mypreset);
				pdfCount+=1;
			}
		}
		if(pdfCount>1)
		{ 
			var s="s";
			var st = "   "; //  
		}
		else
		{
			vars = "";
			var st = "   "; //   
		}
		alert(	pdfCount +" "+s+" PDF" + st + "    :" +"\r"
				+destFolder.fsName+"\r"+"\r"
				+"    ,     :"+"\r"
				+"loic_aigon@yahoo.fr"+"\r"
				+"       ;-)"
			);	
	}
	catch(e)
	{
		alert(	"    . "+"\r"
				+"      Acrobat"+"\r"
				+"   ,    :"+"\r"
				+"loic_aigon@yahoo.fr"
			);
	}
}